# IRremoteESP8266: src/ir_Transcold.h File Reference

ir_Transcold.h File Reference

Support for Transcold A/C protocols. More...

Go to the source code of this file.

## Classes

class | IRTranscoldAc
| Class for handling detailed Transcold A/C messages. More...

## Variables

const uint8_t | kTranscoldCool = 0b0110
const uint8_t | kTranscoldDry = 0b1100
const uint8_t | kTranscoldAuto = 0b1110
const uint8_t | kTranscoldHeat = 0b1010
const uint8_t | kTranscoldFan = 0b0010
const uint8_t | kTranscoldModeOffset = 12
const uint8_t | kTranscoldModeSize = 4
const uint8_t | kTranscoldFanOffset = 16
const uint8_t | kTranscoldFanSize = 4
const uint8_t | kTranscoldFanMin = 0b1001
const uint8_t | kTranscoldFanMed = 0b1101
const uint8_t | kTranscoldFanMax = 0b1011
const uint8_t | kTranscoldFanAuto = 0b1111
const uint8_t | kTranscoldFanAuto0 = 0b0110
const uint8_t | kTranscoldFanZoneFollow = 0b0000
const uint8_t | kTranscoldFanFixed = 0b1100
const uint8_t | kTranscoldTempMin = 18
const uint8_t | kTranscoldTempMax = 30
const uint8_t | kTranscoldFanTempCode = 0b1111
const uint8_t | kTranscoldTempOffset = 8
const uint8_t | kTranscoldTempSize = 4
const uint8_t | kTranscoldPrefix = 0b0000
const uint8_t | kTranscoldUnknown = 0xFF
const uint32_t | kTranscoldOff = 0b111011110111100101010100
const uint32_t | kTranscoldSwing = 0b111001110110000101010100
const uint32_t | kTranscoldSwingH = 0b111101110110000101010100
const uint32_t | kTranscoldSwingV = 0b111001110110000101010100
const uint32_t | kTranscoldCmdFan = 0b111011110110000101010100
const uint32_t | kTranscoldKnownGoodState = 0xE96554

## Detailed Description

Support for Transcold A/C protocols.

See also
  https://github.com/crankyoldgit/IRremoteESP8266/issues/1256
  https://docs.google.com/spreadsheets/d/1qdoyB0FyJm85HPP9oXcfui0n4ztXBFlik6kiNlkO2IM/edit?usp=sharing

## Variable Documentation

## kTranscoldAuto

const uint8_t kTranscoldAuto = 0b1110

## kTranscoldCmdFan

const uint32_t kTranscoldCmdFan = 0b111011110110000101010100

## kTranscoldCool

const uint8_t kTranscoldCool = 0b0110

## kTranscoldDry

const uint8_t kTranscoldDry = 0b1100

## kTranscoldFan

const uint8_t kTranscoldFan = 0b0010

## kTranscoldFanAuto

const uint8_t kTranscoldFanAuto = 0b1111

## kTranscoldFanAuto0

const uint8_t kTranscoldFanAuto0 = 0b0110

## kTranscoldFanFixed

const uint8_t kTranscoldFanFixed = 0b1100

## kTranscoldFanMax

const uint8_t kTranscoldFanMax = 0b1011

## kTranscoldFanMed

const uint8_t kTranscoldFanMed = 0b1101

## kTranscoldFanMin

const uint8_t kTranscoldFanMin = 0b1001

## kTranscoldFanOffset

const uint8_t kTranscoldFanOffset = 16

## kTranscoldFanSize

const uint8_t kTranscoldFanSize = 4

## kTranscoldFanTempCode

const uint8_t kTranscoldFanTempCode = 0b1111

## kTranscoldFanZoneFollow

const uint8_t kTranscoldFanZoneFollow = 0b0000

## kTranscoldHeat

const uint8_t kTranscoldHeat = 0b1010

## kTranscoldKnownGoodState

const uint32_t kTranscoldKnownGoodState = 0xE96554

## kTranscoldModeOffset

const uint8_t kTranscoldModeOffset = 12

## kTranscoldModeSize

const uint8_t kTranscoldModeSize = 4

## kTranscoldOff

const uint32_t kTranscoldOff = 0b111011110111100101010100

## kTranscoldPrefix

const uint8_t kTranscoldPrefix = 0b0000

## kTranscoldSwing

const uint32_t kTranscoldSwing = 0b111001110110000101010100

## kTranscoldSwingH

const uint32_t kTranscoldSwingH = 0b111101110110000101010100

## kTranscoldSwingV

const uint32_t kTranscoldSwingV = 0b111001110110000101010100

## kTranscoldTempMax

const uint8_t kTranscoldTempMax = 30

## kTranscoldTempMin

const uint8_t kTranscoldTempMin = 18

## kTranscoldTempOffset

const uint8_t kTranscoldTempOffset = 8

## kTranscoldTempSize

const uint8_t kTranscoldTempSize = 4

## kTranscoldUnknown

const uint8_t kTranscoldUnknown = 0xFF